-- luacheck: globals data

do--sandbox

  local function show_on_map( bot, color )
    -- make sure it's shown on map
    for i = 1, #bot.flags do
      if bot.flags[i] == 'not-on-map' then
        table.remove( bot.flags, i )
        break
      end
    end
    -- set color of bot on map
    bot.map_color = color
  end

  local all = data.raw

  -- logistic bots = white
  for _,bot in pairs( all['logistic-robot'] ) do
    show_on_map( bot, {r=1, g=1, b=1, a=0.5} )
  end

  -- construction bots = yellow
  for _,bot in pairs( all['construction-robot'] ) do
    show_on_map( bot, {r=1, g=1, b=0, a=0.5} )
  end

end--sandbox